# Note this is NOT a relocatable thing :)

Name: bonobo
Summary: Library for compound documents in GNOME
Version: 0.18
Release: 3mdk
Copyright: GPL
Group: System/Libraries
Source: %{name}-%{version}.tar.bz2
Url: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: grep

Requires: oaf >= 0.5.0
Requires: glib
Requires: ORBit >= 0.5.3
Requires: gnome-print >= 0.16
BuildRequires: ORBit-devel >= 0.5.3
BuildRequires: glib-devel XFree86-devel gnome-libs-devel audiofile-devel esound-devel imlib-devel gdk-pixbuf-devel oaf-devel popt-devel zlib-devel
BuildRequires: gnome-print-devel >= 0.16

%description
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

%package devel
Summary: Libraries and include files for the Bonobo document model
Group: Development/C
Requires: %{name} = %{version}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop programs using the Bonobo document model.

%prep
%setup -q

%build
%configure

%make

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}

%makeinstall

%{find_lang} %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
  
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_bindir}/bonobo-audio-ulaw
%{_datadir}/oaf/audio-ulaw.oafinfo
%{_libdir}/lib*.so.*
%{_datadir}/mime-info/bonobo.keys
%{_libdir}/libstorage*.so
%{_datadir}/idl/bonobo*.idl
%{_datadir}/idl/Bonobo.idl

%files devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/efstool
%{_libdir}/libefs.so
%{_libdir}/libbonobo*.so
%{_libdir}/*Conf.sh
%{_libdir}/*.a
%{_includedir}/bonobo*
%{_includedir}/efs.h
%{_datadir}/idl/*.idl
%{_datadir}/bonobo/html/bonobo

%changelog
* Wed Sep 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.18-3mdk
- add gnome-print to Requires/BuildRequires (Thanks Pedro Rosa)

* Thu Aug 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.18-2mdk
- add some components to make evolution happy

* Mon Aug 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.18-1mdk
- rebuild with new and shiny version.

* Fri Aug 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-6mdk
- Remove modification of ld.so.conf (thanks Dadou)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.16-5mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-4mdk
- Merge from helix spec

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-3mdk
- Remove previous patch on bonoboConf.sh (not good at all)

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.16-2mdk
- Rebuild to remove dependency on alsa
- clean spec

* Thu Jul 27 2000 dam's <damien@mandrakesoft.com> 0.16-1mdk
- updated to 0.16.

* Wed Jul 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-3mdk
- BM + more macros
- compile with oaf, add more dependencies

* Mon Jul 17 2000 dam's <damien@mandrakesoft.com> 0.15-2mdk
- chmouelization.

* Mon Jul 17 2000 dam's <damien@mandrakesoft.com> 0.15-1mdk
- changed patch bonoboConf.sh to apply on configure file.
- changed patch application.
  Stefan van der Eijk <s.vandereijk@chello.nl> :
- updated to 0.15
- modified bonoboConf.sh file --> location of bonobo includefiles
- added links bonobo.h --> Bonobo.h
- added --enable-oaf=no configure option (it didn't want to build without it
- removed MYARCH_FLAGS="--host=alpha-redhat-linux" it now works out of the
  box on an alpha
- used macros for configure
- new patch : bonoboConf.sh.patch

* Sat Apr 15 2000 DindinX <odin@mandrakesoft.com> 0.9-1mdk
- New version (previous one was really too old and of no use).

* Thu Apr 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-4mdk
- new groups
- dirty fix to install the ./idl subdir

* Wed Mar  8 2000 Pixel <pixel@mandrakesoft.com> 0.5-3mdk
- add prereq grep

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Sat Oct 30 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.5

* Tue Aug 05 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- adapted to Mandrake
- included translations

* Sun Aug 1 1999 Gregory McLean <gregm@comstar.net>
- Some updates. sysconfdir stuff, quiet down the prep/configure stage.

* Sat May 1 1999 Erik Walthinsen <omega@cse.ogi.edu>
- created spec file
